Groovy 1.7.0

## groovy.swing.binding
Class JSliderValueBinding

    java.lang.Object
      org.codehaus.groovy.binding.AbstractFullBinding
          groovy.swing.binding.AbstractSyntheticBinding
              groovy.swing.binding.JSliderValueBinding

All Implemented Interfaces:
  PropertyChangeListener

    class JSliderValueBinding
    extends AbstractSyntheticBinding

Field Summary
`JSlider` | `boundSlider`

Fields inherited from class AbstractFullBinding
converter, reverseConverter, sourceBinding, targetBinding, validator

Constructor Summary
`JSliderValueBinding(PropertyBinding source, TargetBinding target)`

Method Summary
`void` | `propertyChange(PropertyChangeEvent event)`
`void` | `stateChanged(ChangeEvent e)`
`void` | `syntheticBind()`
`void` | `syntheticUnbind()`

Methods inherited from class AbstractSyntheticBinding
bind, rebind, setSourceBinding, setTargetBinding, syntheticBind, syntheticUnbind, unbind

Methods inherited from class AbstractFullBinding
getConverter, getReverseConverter, getSourceBinding, getTargetBinding, getValidator, reverseUpdate, setConverter, setReverseConverter, setSourceBinding, setTargetBinding, setValidator, update

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Field Detail

### boundSlider

    JSlider boundSlider

Constructor Detail

### JSliderValueBinding

    public JSliderValueBinding(PropertyBinding source, TargetBinding target)

Method Detail

### propertyChange

    public void propertyChange(PropertyChangeEvent event)

### stateChanged

    public void stateChanged(ChangeEvent e)

### syntheticBind

    public void syntheticBind()

### syntheticUnbind

    public void syntheticUnbind()

Copyright © 2003-2009 The Codehaus. All rights reserved.